//import { buildUUID } from '../../../utils/uuid';
import { ApiAction, ApiActionPage } from '../../model/baseModel';
import {
  //Tsk_TrigListItem,
  Tsk_TrigPageListGetResultModel,
  Tsk_TrigPageParams,
} from '../model/tskModel';
import { genAction, Api, genActionPage } from '../system';
import { defHttp } from '/@/utils/http/axios';
import { useGlobSetting } from '/@/hooks/setting';

const globSetting = useGlobSetting();
/*
 * 获取角色分页列表
 */
export const getTsk_TrigListByPage = async (params: Tsk_TrigPageParams) => {
  let sqlcmd = '';
  if (params?.JobId != undefined && params?.JobId != '') {
    sqlcmd += " And JobId = '" + params?.JobId + "'";
  }
  const rParams = genActionPage('TSK_TRIG', sqlcmd, params.page, params.pageSize);
  return getTsk_TrigListByPageAsync(rParams);
};
async function getTsk_TrigListByPageAsync(params: ApiActionPage) {
  const data = await defHttp.post<ApiActionPage>(
    { url: Api.EntityPageList, params },
    {
      isTransformResponse: false,
      apiUrl: globSetting.taskApiUrl,
    },
  );
  const model: Tsk_TrigPageListGetResultModel = {
    items: data.Data.data,
    total: data.Data.totals,
  };
  return model;
}

// export const SaveTsk_Log = async (params: Tsk_TrigListItem, isUpdate: boolean) => {
//   let data;
//   if (isUpdate) {
//     data = await defHttp.post(
//       { url: Api.UpdateEntity, params: genAction('TSK_LOG', params) },
//       {
//         errorMessageMode: 'none',
//         isTransformResponse: false,
//       },
//     );
//   } else {
//     params.ID = buildUUID(); //生成GUID
//     data = await defHttp.post(
//       { url: Api.AddEntity, params: genAction('TSK_LOG', params) },
//       {
//         errorMessageMode: 'none',
//         isTransformResponse: false,
//       },
//     );
//   }
//   return data;
// };

// export const DeleteTsk_Log = async (params: Recordable) => {
//   const usParams = genAction('TSK_LOG', [params]);
//   return await defHttp.post(
//     { url: Api.DeleteList, params: usParams },
//     {
//       errorMessageMode: 'none',
//       isTransformResponse: false,
//     },
//   );
// };
